function E0090()
    MNA()CMU("CS_Jenka")FAI(0)
end
function E0091()
    MNA()CMU("CS_Jenka")FAI(1)
end
function E0092()
    MNA()CMU("CS_Jenka")FAI(2)
end
function E0093()
    MNA()CMU("CS_Jenka")FAI(3)
end
function E0094()
    MNA()CMU("CS_Jenka")FAI(4)
end

function TheTrade()
    KEY()
    CMU("CS_Kodou")
    HMC()
    FON("Puu1",1)
    WAI(16)
    ANP("Puu1","walk",1)
    ANP("Tala1","walk",1)
    ANP("Pushcart1","move",1)
    ANP("Kanpa1",204)
    FAI(2)
    WAI(32)
    FAC("sue_sad")TUR()MS3("这个地方好恐怖...")WAI(128)
    CAT("\n我们到底要被带到哪里去啊。")WAI(160)
    CLR()FAC("toroko_normal")CAT("\n也许是蟑螂先生的家里吧。")WAI(160)
    CLR()FAC("sue_sad")CAT("\n我最讨厌的生物就是蟑螂了...")WAI(128)
    CLR()FAC("toroko_><")CAT("也许我可以作为女仆照顾他们")WAI(128)
    CAT("\n然后把他们都刷的干干净净的。")WAI(128)
    CLR()FAC("sue_angry")CAT("\n多隆子你还真一点都不怕他们嘛...")WAI(160)
    CLR()FAC("toroko_normal")CAT("\n谁叫我是天然呆呢~")WAI(160)CLO()
    WAI(200)
    DNP("BkGaudi")
    PMU(5)
    WAI(80)
    ANP("Puu1","normal",1)
    ANP("Tala1","normal",1)
    ANP("Pushcart1","normal",1)
    FON("Camera1",16)
    FAC("tala_normal")MS3("\n我们到啦~")NOD()CLO()
    ---[[
    CMU("CS_Jenka")
    WAI(60)
    FAC()MS3("哇！好大的鱼！")NOD()
    CAT("\n比我们之前遇的那条鲨鱼还要大...")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","angry",1)
    FAC("sue_angry")CAT("\n也比我之前看到的大猫还要大")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    FAC("toroko_normal")CAT("\n间八哥看到的话应该会非常开心了...")NOD()CLR()
    FAC("sue_sad")CAT("所以这个交易是什么..")NOD()
    FAC("sue_angry")CAT("\n是要拿我们所有人去换那条鱼嘛！")NOD()CLR()
    FAC("jack_><")CAT("\n我想应该就是这么回事了...")NOD()CLR()
    FAC("toroko_normal")CAT("也许我们之后可能")
    CAT("\n要和蟑螂先生们住在一起了...")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","angry",1)
    FAC("sue_sad")CAT("我不想这样和蟑螂什么的...")NOD()
    CAT("\n我想回家！！")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    PMU(5)
    FAC("tala_normal")CAT("好啦~")NOD()
    CAT("\n别吵了，是时候进入正题了！")NOD()CLR()
    FAC("puu_normal")CAT("G先生，")NOD()
    CAT("\n我们已经把你要的咪咪卡")
    CAT("\n都给带来了。")NOD()CLR()
    FAC()CAT("这可真是太好了，")NOD()
    CAT("\n我已经等不及要来欣赏下他们。")NOD()CLO()
    --]]
    ANP("MrG1","walk",0)
    WAI(8*16)
    ANP("Puu1","normal",0)
    WAI(16)
    ANP("MrG1","normal",0)
    WAI(60)
    WAI(60)
    ANP("MrG1","walk",0)
    WAI(16)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)
    WAI(16)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    WAI(16)
    ANP("MrG1","normal",0)
    ANP("Tala1","look_down")
    WAI(60)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    WAI(30)
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",0)
    WAI(30)
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","back",0)
    WAI(60)
    ANP("MrG1","walk",0)
    WAI(64)
    ANP("MrG1","normal",1)
    WAI(60)
    ---[[
    FAC()MS3("看样子都很有活力非常好~")NOD()
    ANP("MrG1","normal",0)
    CAT("\n不过数量是不是不对？")NOD()CLR()
    CAT("我只看到了6只，")NOD()
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",0)
    CAT("\n第7只呢？")NOD()CLR()
    FAC("tala_normal")CAT("关于这个啊，")NOD()
    CAT("\n因为我们有一只非常稀有的咪咪卡，")NOD()
    CAT("\n她非常美，")
    CAT("\n所以她一只作为两只来算的。")NOD()CLR()
    ANP("MrG1","normal",1)
    FAC()CAT("\n是这只吗？")NOD()CLR()
    FAC("tala_normal")MS3("\n没错！")NOD()CLR()
    FAC()CAT("嗯，")NOD()
    CAT("\n确实非常美。")NOD()CLR()
    ANP("MrG1","normal",0)
    CAT("不过少一只的事")
    CAT("\n我得寻求一下我们老板的意见...")NOD()CLR()
    ANP("MrG1","normal",1)
    CAT("\n请你们稍等一下。")NOD()CLR()
    FAC("tala_normal")CAT("\n这没问题~")NOD()CLO()
    --]]
    ANP("MrG1","walk",1)
    WAI(16)
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",1)
    WAI(16)
    ANP("Tala1","look_normal")
    WAI(32)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",1)
    WAI(16)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",1)
    WAI(16)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",1)
    WAI(32)
    ANP("Puu1","normal",1)
    WAI(64)
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    WAI(15*16 - 4)
    ANP("MrG1","normal",1)
    DNP("MrG1")
    WAI(60)
    ---[[
    CMU("CS_Vivi")
    ANP("Tala1","look_down")
    MS3("这条大鱼不就是我钓的那条嘛...")NOD()
    CAT("\n我记得自己是把他交给大猫了。")NOD()CLR()
    CAT("\n为什么会在你们手上？")NOD()CLR()
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)
    FAC("jack_normal")CAT("大猫？")NOD()
    CAT("\n那是什么？")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","angry",0)
    FAC("sue_angry")CAT("我就知道我那时看到的不是幻觉，")NOD()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",0)
    FAC("sue_normal")CAT("\n是有一只巨猫是真是存在的！")NOD()CLR()
    FAC("toroko_normal")CAT("看样子我们的间八哥")
    CAT("\n是有一个新朋友呢~")NOD()
    CAT("\n还钓了这么大一条鱼去喂它。")NOD()CLR()
    FAC()CAT("是呀，")NOD()
    CAT("\n虽然现在鱼还活着，")NOD()
    CAT("\n不过当时他答应我帮我找马宾来着。")NOD()CLR()
    CAT("\n也不知道它现在怎么样了...")NOD()CLR()
    ANP("Puu1","normal",0)
    FAC("puu_normal")CAT("原来如此...")NOD()
    CAT("\n难怪你这个钓鱼小子")
    CAT("\n要偷走我们的库龙。")NOD()CLR()
    CAT("你知道我们为了瞒着我们的大王")
    CAT("\n偷偷出来买一条新的龙鱼")
    CAT("\n费了多大的劲...")NOD()CLR()
    FAC("tala_normal")CAT("听你这么一说感觉事情")
    CAT("\n哪里有点不对劲呢~")NOD()CLR()
    FAC("puu_normal")CAT("\n哪里不对了？")NOD()CLR()
    PMU(5)
    FAC("tala_normal")CAT("如果真如这个钓鱼小子说的话...")NOD()
    CAT("\n现在要交易的那条龙鱼")
    CAT("\n原本就是我们的。")NOD()CLR()
    CAT("但不知道为什么")
    CAT("\n现在在高第的手里了。")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",1)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",1)
    ANP("Puu1","normal",1)
    FAC("puu_normal")CAT("真的嘛！")NOD()
    CAT("\n我要仔细看看它！")NOD()CLR()
    FAC()CAT("肯定是它！")NOD()
    CAT("\n我认鱼就没错过。")NOD()CLO()
    --]]
    ANP("Puu1","walk",1)
    WAI(8*16)
    ANP("GaudiArmoured1","back_jump",0)
    WAI(8)
    ANP("GaudiArmoured2","back_jump",0)
    WAI(8)
    ANP("Puu1","normal",1)
    MS3("停下！不准再靠近了...")NOD()CLO()
    ANP("Puu1","back")
    WAI(60)
    FAC("puu_normal")MS3("醒醒！库龙，")NOD()
    CAT("\n是我啊！扑悠！")NOD()CLO()
    WAI(60)
    ANP("Fishtank1","wink")
    WAI(60)
    ANP("Fishtank1","stand")
    ANP("Fishtank1","wink")
    WAI(60)
    FAC("puu_cry")MS3("果然是你！")NOD()
    CAT("\n我看的没有错！")NOD()
    CAT("\n是我们家的库龙..")NOD()CLO()
    ANP("GaudiArmoured1","normal",1)
    WAI(120)
    ANP("GaudiArmoured1","normal",0)
    WAI(60)
    FAC()MS3("\n你们有证据说这条鱼是你的吗？")NOD()CLR()
    ANP("Puu1","normal")
    FAC("puu_normal")CAT("开什么玩笑！")NOD()
    CAT("\n它是我养大的，")NOD()
    CAT("\n它认得到我！")NOD()CLO()
    ANP("GaudiArmoured1","normal",1)
    WAI(60)
    ANP("GaudiArmoured1","struggle")
    ANP("GaudiArmoured2","struggle")
    ANP("GaudiArmoured3","struggle")
    WAI(120)
    ANP("GaudiArmoured1","normal")
    ANP("GaudiArmoured2","normal")
    ANP("GaudiArmoured3","normal")
    WAI(60)
    ANP("GaudiArmoured1","normal",0)
    WAI(30)
    ---[[
    CMU("CS_Access")
    FAC()MS3("你认真的吗？")NOD()
    CAT("\n鱼认主人？")NOD()
    CAT("\n老鼠也就算了...")NOD()CLO()
    WAI(60)
    ANP("Puu1","gesture")
    MS3("\n库龙，向右转！")NOD()CLO()
    WAI(60)
    ANP("Fishtank1","stand",1)
    WAI(16)
    ANP("Puu1","normal")
    WAI(60)
    ANP("Puu1","gesture")
    MS3("\n库龙，向左转！")NOD()CLO()
    WAI(60)
    ANP("Fishtank1","stand",0)
    WAI(16)
    ANP("Puu1","normal")
    WAI(60)
    ANP("Puu1","gesture")
    MS3("\n库龙，装死！")NOD()CLO()
    WAI(60)
    ANP("Fishtank1","play_dead",0)
    WAI(16)
    ANP("Puu1","normal")
    WAI(60)
    FAC("toroko_normal")MS3("哈哈哈！")
    CAT("\n它就像一只大狗狗呢~")NOD()CLO()
    WAI(60)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    FAC()MS3("哇！")NOD()
    CAT("照这么说的话，")NOD()
    CAT("\n是我们村里的某个钓鱼\"大侠\"")
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)NOD()
    CAT("\n偷走了人家的\"狗狗\"")
    CAT("\n才导致了这一切的发生？")NOD()CLO()
    WAI(60)
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","normal",0)
    MS3("什么嘛，你们别看我。")NOD()
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","back",0)
    CAT("\n这我哪里知道...")NOD()CLO()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","angry",0)
    FAC("sue_angry")MS3("\n我恨你！间八！")NOD()CLR()
    FAC("toroko_><")CAT("等等！数姐姐")
    CAT("\n这不是间八哥的错啦...")NOD()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    FAC("toroko_normal")CAT("\n他只是想找到马宾不是嘛...")NOD()CLR()
    FAC("sue_sad")CAT("\n所以这全都是马宾的错咯？")NOD()CLR()
    FAC("toroko_--")CAT("嘛~")NOD()
    CAT("\n这个还不能完全确定。")NOD()CLO()
    ANP("Fishtank1","stand",0)
    ANP("Fishtank1","wink")
    WAI(60)
    ANP("GaudiArmoured1","normal",0)
    WAI(30)
    MS3("坏了兄弟们，")NOD()
    CAT("\n这鱼看样子真是他的...")NOD()CLR()
    CAT("就算是他养的")
    CAT("\n但目前这鱼也还是我们的东西。")NOD()CLR()
    CAT("\n总之等我们的老大回复消息吧...")NOD()CLO()
    PMU(5)
    WAI(60)
    --]]
    SNP("CS_mrg_animate",143,16,0,"mainLayer","MrG1")
    WAI(30)
    ANP("MrG1","walk",0)
    WAI(32)
    ANP("MrG1","normal",0)
    WAI(32)
    MS3("\n我们老板给出的回复是....")NOD()CLO()
    WAI(60)
    TUR()MS3("\n")
    CAT("终止交易！",2)NOD()CLO()
    local start_x = 100;
    local end_x = start_x - 12;
    for i=start_x,end_x,-1 do
        SNP("CS_gaudi_armoured_animate",i,16,1,"mainLayer","GaudiArmouredArmy")
    end
    ANP("GaudiArmouredArmy","walk",1)
    WAI(16)
    FON("Camera2")
    WAI(16*8)
    ANP("Tala1","normal",0)
    ANP("Tala1","look_down")
    WAI(32)
    ANP("GaudiArmouredArmy","normal",1)
    WAI(16)
    ANP("Puu1","normal",0)
    WAI(16)
    --咪咪卡们往左看
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",0)
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","normal",0)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)
    --
    WAI(32)
    FON("Camera1")
    WAI(32)
    FAC("puu_normal")MS3("\n嘿！你们这是什么意思？！")NOD()CLR()
    FAC()CAT("正如你所见，")NOD()
    CAT("\n交易已经不需要了。")NOD()CLR()
    CAT("\n这些都是我们的了！")NOD()CLR()
    FAC("puu_normal")CAT("这样太卑鄙了，")NOD()
    CAT("\n如果我们大王知道了，")NOD()
    CAT("\n他会派塔拉和魔像们")
    CAT("\n把你们都给压成肉饼的！")NOD()CLR()
    FAC()CAT("\n是这样嘛？")NOD()CLO()
    ANP("MrG1","struggle")
    WAI(30)
    ANP("Puu1","normal",1)
    WAI(30)
    --咪咪卡们往右看
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",1)
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","normal",1)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",1)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",1)
    --
    WAI(30)
    FAC("puu_normal")MS3("\n喂！这有什么好笑的！")NOD()CLO()
    WAI(30)
    ANP("MrG1","normal")
    WAI(30)
    MS3("我们的情报网已经得知")NOD()
    CAT("\n雕像妖城堡里面空无一人，")NOD()CLR()
    CAT("你所谓的大王和魔像")
    CAT("\n全部都已经变成了雕像。")NOD()CLR()
    FAC("puu_cry")CAT("不！")NOD()
    CAT("\n这不是真的！")NOD()CLR()
    FAC()CAT("\n很遗憾它就是真的。")NOD()CLO()
    WAI(30)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    FAC("jack_normal")MS3("\n喂！刚才你们都听到了吗？")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","angry",1)
    FAC("sue_normal")CAT("嗯！一定是他们！")NOD()
    FAC("sue_angry")CAT("\n库特卡莉他们来救我们了！")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    FAC("toroko_normal")CAT("哈哈，")
    CAT("\n数姐姐瞬间恢复了精神呢~")NOD()CLO()
    WAI(60)
    --咪咪卡们往右看
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",1)
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","normal",1)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",1)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",1)
    --
    FAC()MS3("总之！我们老板的意思是，")NOD()
    CAT("\n拿下他们！")NOD()CLO()
    --咪咪卡们往左看
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",0)
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","normal",0)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)
    --
    ANP("GaudiArmouredArmy","walk",1)
    WAI(16)
    ANP("Tala1","defeated2")
    WAI(30)
    ANP("Puu1","normal",0)
    FAC("puu_cry")MS3("\n不要啊！！！！")WAI(128)
    FAO(1)CLO()
    SMC(0)SMC(1)
    TRA("CS_gaudi_blackmaket_teleport","QuoteCurlyArrive",10,14)
end
